#!/usr/bin/env python

print('start...')


from qgis.core import *

QgsApplication.setPrefixPath('/home/richard/bin/qgis_/master/debug', True)
app = QgsApplication([], False)
app.initQgis()

project_instance = QgsProject.instance()
project_instance.read('./template.qgs')

root = project_instance.layerTreeRoot()
group_entry = root.insertGroup(0,'groupname')

currentSubLayer = QgsVectorLayer("./nl.gpkg|layername=rivieren", 'rivieren', 'ogr')
project_instance.addMapLayer(currentSubLayer,False)

group_entry.insertChildNode(1,QgsLayerTreeLayer(currentSubLayer))

project_instance.write('./testoutput.qgs')

app.exitQgis()

print('done...')
